Subject: Re: [PATCH] powerpc: Add MPC837x PCIE controller RC mode support

From: Arnd Bergmann <[email-masked]>
Date: Thu, 3 Jan 2008 09:14:11 +0100

On Thursday 03 January 2008, Li Li wrote:
> > * The detection method for the primary bus is somewhat fragile,
> > because 
> > we depend on the order of the nodes in the device tree, which is not 
> > specified to have a meaning. /Maybe/ there could be a property in 
> > (at most) one of the PCI host bridge nodes saying that this specific
> > bus 
> > is the primary one.
> > 
> 
> Put this primary in code is more save than in dts.
> The dts lacks error checking function. If provide error dts such as two
> pci hosts both has primary property will occur chaos.

It's easy enough to just panic() if you find more than one primary bus,
since the information from the device tree is static enough that one
will know how to fix this after seeing the error.

	Arnd <><